=== modified file 'NEWS'
--- NEWS	2008-08-04 22:41:18 +0000
+++ NEWS	2008-08-06 07:02:09 +0000
@@ -26,6 +26,10 @@
     * Commit now supports ``--exclude`` (or ``-x``) to exclude some files
       from the commit. (Robert Collins, #3117)
 
+    * Fetching data between repositories that have the same model but no 
+      optimised fetcher will not reserialise all the revisions, increasing
+      performance. (Robert Collins, John Arbash Meinel)
+
     * Give a more specific error when target branch is not reachable.
       (James Westby)
 
@@ -37,9 +41,9 @@
       Anywhere from 2x-6x faster depending on the size of the tree (bigger
       trees, bigger benefit.) (John Arbash Meinel)
 
-    * Fetching data between repositories that have the same model but no 
-      optimised fetcher will not reserialise all the revisions, increasing
-      performance. (Robert Collins, John Arbash Meinel)
+    * New registry for log properties handles  and the method in 
+      LongLogFormatter to display the custom properties returned by the 
+      registered handlers. (Guillermo Gonzalez, #162469)
 
   BUG FIXES:
 
@@ -57,6 +61,15 @@
     * ``bzr export`` no longer exports ``.bzrrules``.
       (Ian Clatworthy)
 
+    * ``bzr serve --directory=/`` now correctly allows the whole
+      filesystem to be accessed on Windows, not just the root of the drive
+      that Python is running from.
+      (Adrian Wilkins, #240910)
+
+    * Deleting directories by hand before running ``bzr rm`` will not
+      cause subsequent errors in ``bzr st`` and ``bzr commit``.
+      (Robert Collins, #150438)
+
     * Fix a test case that was failing if encoding wasn't UTF-8.
       (John Arbash Meinel, #247585)
 
@@ -64,9 +77,11 @@
       smart server protocol to or from Windows.
       (Andrew Bennetts, #246180)
 
-    * Deleting directories by hand before running ``bzr rm`` will not
-      cause subsequent errors in ``bzr st`` and ``bzr commit``.
-      (Robert Collins, #150438)
+    * Fixed problem in branching from smart server.
+      (#249256, Michael Hudson, Martin Pool) 
+
+    * Handle a file turning in to a directory in TreeTransform.
+      (James Westby, #248448)
 
   DOCUMENTATION:
 
@@ -130,6 +145,12 @@
 bzr 1.6beta3 2008-07-17
 -----------------------
 
+This release adds a new 'stacked branches' feature allowing branches to
+share storage without being in the same repository or on the same machine.
+(See the user guide for more details.)  It also adds a new hook, improved
+weaves, aliases for related locations, faster bzr+ssh push, and several
+bug fixes.
+
   FEATURES:
 
     * New ``pre_change_branch_tip`` hook that is called before the
@@ -146,7 +167,9 @@
     * Sites may suggest a branch to stack new branches on.  (Aaron Bentley)
 
     * Stacked branches are now supported. See ``bzr help branch`` and 
-      ``bzr help push``. (Robert Collins)
+      ``bzr help push``.  Branches must be in the ``development1`` format
+      to stack, though the stacked-on branch can be of any format. 
+      (Robert Collins)
 
   IMPROVEMENTS:
 
@@ -170,10 +193,6 @@
       revision info directly.  This makes operations like push
       faster.  The new request method name is
       ``Branch.set_last_revision_ex``.  (Andrew Bennetts)
-      
-    * New registry for log properties handles  and the method in 
-      LongLogFormatter to display the custom properties returned by the 
-      registered handlers. (Guillermo Gonzalez, #162469)
 
   BUG FIXES:
 
@@ -190,11 +209,6 @@
       requires a branch to be present.
       (Daniel Watkins, #64783)
 
-    * ``bzr serve --directory=/`` now correctly allows the whole
-      filesystem to be accessed on Windows, not just the root of the drive
-      that Python is running from.
-      (Adrian Wilkins, #240910)
-
     * Clearer message about how to set the PYTHONPATH if bzrlib can't be
       loaded. 
       (Martin Pool, #205230)
@@ -204,9 +218,6 @@
       still in ``.bzr.log`` and can be shown with ``-Derror``.
       (Martin Pool, #240161)
 
-    * Fixed problem in branching from smart server.
-      (#249256, Michael Hudson, Martin Pool) 
-
     * Fetch from a stacked branch copies all required data.
       (Aaron Bentley, #248506)
 
@@ -236,9 +247,6 @@
     * Set locale from environment for third party libs.
       (Martin von Gagern, #128496)
 
-    * Handle a file turning in to a directory in TreeTransform.
-      (James Westby, #248448)
-
   DOCUMENTATION:
 
     * Added *Using stacked branches* to the User Guide.

